[BACK]Return to ipfilter CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / src / etc / rc.d

Please note that diffs are not public domain; they are subject to the copyright notices on the relevant files.

Diff for /src/etc/rc.d/ipfilter between version 1.5 and 1.12

version 1.5, 2000/07/17 12:58:14 version 1.12, 2004/09/09 00:33:03
Line 6 
Line 6 
 # PROVIDE: ipfilter  # PROVIDE: ipfilter
 # REQUIRE: root beforenetlkm mountcritlocal tty  # REQUIRE: root beforenetlkm mountcritlocal tty
   
 . /etc/rc.subr  $_rc_subr_loaded . /etc/rc.subr
   
 name="ipfilter"  name="ipfilter"
   rcvar=$name
 start_precmd="ipfilter_prestart"  start_precmd="ipfilter_prestart"
 start_cmd="ipfilter_start"  start_cmd="ipfilter_start"
 stop_precmd="checkyesno ipfilter && [ -f /etc/ipf.conf ]"  stop_precmd="test -f /etc/ipf.conf -o -f /etc/ipf6.conf"
 stop_cmd="ipfilter_stop"  stop_cmd="ipfilter_stop"
 reload_precmd="$stop_precmd"  reload_precmd="$stop_precmd"
 reload_cmd="ipfilter_reload"  reload_cmd="ipfilter_reload"
   resync_precmd="$stop_precmd"
   resync_cmd="ipfilter_resync"
 status_precmd="$stop_precmd"  status_precmd="$stop_precmd"
 status_cmd="ipfilter_status"  status_cmd="ipfilter_status"
 extra_commands="reload status"  extra_commands="reload resync status"
   
 ipfilter_prestart()  ipfilter_prestart()
 {  {
         if ! checkyesno ipfilter; then          if [ ! -f /etc/ipf.conf ] && [ ! -f /etc/ipf6.conf ]; then
                 return 1                  warn "/etc/ipf*.conf not readable; ipfilter start aborted."
         fi                          #
         if [ ! -f /etc/ipf.conf ]; then                          # If booting directly to multiuser, send SIGTERM to
                 warn "/etc/ipf.conf not readable; ipfilter start aborted."                          # the parent (/etc/rc) to abort the boot
                           #
                   if [ "$autoboot" = yes ]; then
                           echo "ERROR: ABORTING BOOT (sending SIGTERM to parent)!"
                           kill -TERM $$
                           exit 1
                   fi
                 return 1                  return 1
         fi          fi
         return 0          return 0
Line 34  ipfilter_prestart()
Line 43  ipfilter_prestart()
 ipfilter_start()  ipfilter_start()
 {  {
         echo "Enabling ipfilter."          echo "Enabling ipfilter."
         /sbin/ipf -E -Fa -f /etc/ipf.conf          /sbin/ipf -E -Fa
           if [ -f /etc/ipf.conf ]; then
                   /sbin/ipf -Fa -f /etc/ipf.conf
           fi
           if [ -f /etc/ipf6.conf ]; then
                   /sbin/ipf -6 -Fa -f /etc/ipf6.conf
           fi
 }  }
   
 ipfilter_stop()  ipfilter_stop()
Line 46  ipfilter_stop()
Line 61  ipfilter_stop()
 ipfilter_reload()  ipfilter_reload()
 {  {
         echo "Reloading ipfilter rules."          echo "Reloading ipfilter rules."
         /sbin/ipf -I -Fa -f /etc/ipf.conf  
         if [ $? -eq 0 ]; then          if [ -f /etc/ipf.conf ] && ! /sbin/ipf -I -Fa -f /etc/ipf.conf; then
                 /sbin/ipf -s                  err 1 "reload of ipf.conf failed; not swapping to new ruleset."
         else  
                 warn "Reload failed; not swapping to new ruleset."  
         fi          fi
           if [ -f /etc/ipf6.conf ] && ! /sbin/ipf -6 -I -Fa -f /etc/ipf6.conf; then
                   err 1 "reload of ipf6.conf failed; not swapping to new ruleset."
           fi
           /sbin/ipf -s
   }
   
   ipfilter_resync()
   {
           /sbin/ipf -y
 }  }
   
 ipfilter_status()  ipfilter_status()

Legend:
Removed from v.1.5  
changed lines
  Added in v.1.12

CVSweb <webmaster@jp.NetBSD.org>